package com.steerinfo.meterwork.meterworkcarrecover.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="计量汽车衡一次数据表")
public class MeterWorkCarRecover implements IBasePO<String> {
    /**
     * 复磅作业编号（YYYYMMDDMMddssSSS+2位随机数）(RECOVER_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="复磅作业编号（YYYYMMDDMMddssSSS+2位随机数）",required=true)
    private String recoverNo;

    /**
     * 车号(CAR_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="车号",required=true)
    private String carNo;

    /**
     * 挂号(TRAILER_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="挂号",required=false)
    private String trailerNo;

    /**
     * 物料编号(MATTER_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="物料编号",required=false)
    private String matterNo;

    /**
     * 物料名称(MATTER_NAME,VARCHAR,100)
     */
    @ApiModelProperty(value="物料名称",required=false)
    private String matterName;

    /**
     * 供应商编号(CUSTOMER_SUPPLIER_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="供应商编号",required=false)
    private String customerSupplierNo;

    /**
     * 供应商名称(CUSTOMER_SUPPLIER_NAME,VARCHAR,100)
     */
    @ApiModelProperty(value="供应商名称",required=false)
    private String customerSupplierName;

    /**
     * 发货单位编号(FORWARDING_UNIT_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="发货单位编号",required=false)
    private String forwardingUnitNo;

    /**
     * 发货单位名称(FORWARDING_UNIT_NAME,VARCHAR,100)
     */
    @ApiModelProperty(value="发货单位名称",required=false)
    private String forwardingUnitName;

    /**
     * 收货单位编号(RECEIVING_UINT_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="收货单位编号",required=false)
    private String receivingUintNo;

    /**
     * 收货单位名称(RECEIVING_UINT_NAME,VARCHAR,100)
     */
    @ApiModelProperty(value="收货单位名称",required=false)
    private String receivingUintName;

    /**
     * 计量类型编号（业务类型）(METER_TYPE_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="计量类型编号（业务类型）",required=false)
    private String meterTypeNo;

    /**
     * 计量类型名称（业务类型）(METER_TYPE_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="计量类型名称（业务类型）",required=false)
    private String meterTypeName;

    /**
     * 计量重量（原始数据）(METER_WEIGHT,DECIMAL,10)
     */
    @ApiModelProperty(value="计量重量（原始数据）",required=false)
    private BigDecimal meterWeight;

    /**
     * 创建人编号(CREATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="创建人编号",required=false)
    private String createManNo;

    /**
     * 创建人姓名(CREATE_MAN_NAME,VARCHAR,100)
     */
    @ApiModelProperty(value="创建人姓名",required=false)
    private String createManName;

    /**
     * 创建时间（YYYY-MM-DD HH:mm:SS）(CREATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="创建时间（YYYY-MM-DD HH:mm:SS）",required=false)
    private Date createTime;

    /**
     * 计量点编号（原始数据）(BASE_SPOT_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="计量点编号（原始数据）",required=false)
    private String baseSpotNo;

    /**
     * 计量点名称（原始数据）(BASE_SPOT_NAME,VARCHAR,40)
     */
    @ApiModelProperty(value="计量点名称（原始数据）",required=false)
    private String baseSpotName;

    /**
     * 状态（0=未复磅，1=已复磅，2=作废）(VALUE_FLAG,VARCHAR,1)
     */
    @ApiModelProperty(value="状态（0=未复磅，1=已复磅，2=作废）",required=false)
    private String valueFlag;

    /**
     * 修改人编号(UPDATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="修改人编号",required=false)
    private String updateManNo;

    /**
     * 修改人姓名(UPDATE_MAN_NAME,VARCHAR,100)
     */
    @ApiModelProperty(value="修改人姓名",required=false)
    private String updateManName;

    /**
     * 修改时间（YYYY-MM-DD HH:mm:SS）(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="修改时间（YYYY-MM-DD HH:mm:SS）",required=false)
    private Date updateTime;

    /**
     * 计量时间（原始数据）（YYYY-MM-DD HH:mm:SS）(METER_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="计量时间（原始数据）（YYYY-MM-DD HH:mm:SS）",required=false)
    private Date meterTime;

    /**
     * 计量重量（复磅数据）(REC_METER_WEIGHT,DECIMAL,10)
     */
    @ApiModelProperty(value="计量重量（复磅数据）",required=false)
    private BigDecimal recMeterWeight;

    /**
     * 计量时间（复磅数据）（YYYY-MM-DD HH:mm:SS）(REC_METER_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="计量时间（复磅数据）（YYYY-MM-DD HH:mm:SS）",required=false)
    private Date recMeterTime;

    /**
     * 计量点编号（复磅数据）(REC_BASE_SPOT_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="计量点编号（复磅数据）",required=false)
    private String recBaseSpotNo;

    /**
     * 计量点名称（复磅数据）(REC_BASE_SPOT_NAME,VARCHAR,40)
     */
    @ApiModelProperty(value="计量点名称（复磅数据）",required=false)
    private String recBaseSpotName;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.recoverNo;
    }

    @Override
    public void setId(String recoverNo) {
        this.recoverNo = recoverNo == null ? null : recoverNo.trim();
    }

    public String getRecoverNo() {
        return recoverNo;
    }

    public void setRecoverNo(String recoverNo) {
        this.recoverNo = recoverNo == null ? null : recoverNo.trim();
    }

    public String getCarNo() {
        return carNo;
    }

    public void setCarNo(String carNo) {
        this.carNo = carNo == null ? null : carNo.trim();
    }

    public String getTrailerNo() {
        return trailerNo;
    }

    public void setTrailerNo(String trailerNo) {
        this.trailerNo = trailerNo == null ? null : trailerNo.trim();
    }

    public String getMatterNo() {
        return matterNo;
    }

    public void setMatterNo(String matterNo) {
        this.matterNo = matterNo == null ? null : matterNo.trim();
    }

    public String getMatterName() {
        return matterName;
    }

    public void setMatterName(String matterName) {
        this.matterName = matterName == null ? null : matterName.trim();
    }

    public String getCustomerSupplierNo() {
        return customerSupplierNo;
    }

    public void setCustomerSupplierNo(String customerSupplierNo) {
        this.customerSupplierNo = customerSupplierNo == null ? null : customerSupplierNo.trim();
    }

    public String getCustomerSupplierName() {
        return customerSupplierName;
    }

    public void setCustomerSupplierName(String customerSupplierName) {
        this.customerSupplierName = customerSupplierName == null ? null : customerSupplierName.trim();
    }

    public String getForwardingUnitNo() {
        return forwardingUnitNo;
    }

    public void setForwardingUnitNo(String forwardingUnitNo) {
        this.forwardingUnitNo = forwardingUnitNo == null ? null : forwardingUnitNo.trim();
    }

    public String getForwardingUnitName() {
        return forwardingUnitName;
    }

    public void setForwardingUnitName(String forwardingUnitName) {
        this.forwardingUnitName = forwardingUnitName == null ? null : forwardingUnitName.trim();
    }

    public String getReceivingUintNo() {
        return receivingUintNo;
    }

    public void setReceivingUintNo(String receivingUintNo) {
        this.receivingUintNo = receivingUintNo == null ? null : receivingUintNo.trim();
    }

    public String getReceivingUintName() {
        return receivingUintName;
    }

    public void setReceivingUintName(String receivingUintName) {
        this.receivingUintName = receivingUintName == null ? null : receivingUintName.trim();
    }

    public String getMeterTypeNo() {
        return meterTypeNo;
    }

    public void setMeterTypeNo(String meterTypeNo) {
        this.meterTypeNo = meterTypeNo == null ? null : meterTypeNo.trim();
    }

    public String getMeterTypeName() {
        return meterTypeName;
    }

    public void setMeterTypeName(String meterTypeName) {
        this.meterTypeName = meterTypeName == null ? null : meterTypeName.trim();
    }

    public BigDecimal getMeterWeight() {
        return meterWeight;
    }

    public void setMeterWeight(BigDecimal meterWeight) {
        this.meterWeight = meterWeight;
    }

    public String getCreateManNo() {
        return createManNo;
    }

    public void setCreateManNo(String createManNo) {
        this.createManNo = createManNo == null ? null : createManNo.trim();
    }

    public String getCreateManName() {
        return createManName;
    }

    public void setCreateManName(String createManName) {
        this.createManName = createManName == null ? null : createManName.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getBaseSpotNo() {
        return baseSpotNo;
    }

    public void setBaseSpotNo(String baseSpotNo) {
        this.baseSpotNo = baseSpotNo == null ? null : baseSpotNo.trim();
    }

    public String getBaseSpotName() {
        return baseSpotName;
    }

    public void setBaseSpotName(String baseSpotName) {
        this.baseSpotName = baseSpotName == null ? null : baseSpotName.trim();
    }

    public String getValueFlag() {
        return valueFlag;
    }

    public void setValueFlag(String valueFlag) {
        this.valueFlag = valueFlag == null ? null : valueFlag.trim();
    }

    public String getUpdateManNo() {
        return updateManNo;
    }

    public void setUpdateManNo(String updateManNo) {
        this.updateManNo = updateManNo == null ? null : updateManNo.trim();
    }

    public String getUpdateManName() {
        return updateManName;
    }

    public void setUpdateManName(String updateManName) {
        this.updateManName = updateManName == null ? null : updateManName.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Date getMeterTime() {
        return meterTime;
    }

    public void setMeterTime(Date meterTime) {
        this.meterTime = meterTime;
    }

    public BigDecimal getRecMeterWeight() {
        return recMeterWeight;
    }

    public void setRecMeterWeight(BigDecimal recMeterWeight) {
        this.recMeterWeight = recMeterWeight;
    }

    public Date getRecMeterTime() {
        return recMeterTime;
    }

    public void setRecMeterTime(Date recMeterTime) {
        this.recMeterTime = recMeterTime;
    }

    public String getRecBaseSpotNo() {
        return recBaseSpotNo;
    }

    public void setRecBaseSpotNo(String recBaseSpotNo) {
        this.recBaseSpotNo = recBaseSpotNo == null ? null : recBaseSpotNo.trim();
    }

    public String getRecBaseSpotName() {
        return recBaseSpotName;
    }

    public void setRecBaseSpotName(String recBaseSpotName) {
        this.recBaseSpotName = recBaseSpotName == null ? null : recBaseSpotName.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", recoverNo=").append(recoverNo);
        sb.append(", carNo=").append(carNo);
        sb.append(", trailerNo=").append(trailerNo);
        sb.append(", matterNo=").append(matterNo);
        sb.append(", matterName=").append(matterName);
        sb.append(", customerSupplierNo=").append(customerSupplierNo);
        sb.append(", customerSupplierName=").append(customerSupplierName);
        sb.append(", forwardingUnitNo=").append(forwardingUnitNo);
        sb.append(", forwardingUnitName=").append(forwardingUnitName);
        sb.append(", receivingUintNo=").append(receivingUintNo);
        sb.append(", receivingUintName=").append(receivingUintName);
        sb.append(", meterTypeNo=").append(meterTypeNo);
        sb.append(", meterTypeName=").append(meterTypeName);
        sb.append(", meterWeight=").append(meterWeight);
        sb.append(", createManNo=").append(createManNo);
        sb.append(", createManName=").append(createManName);
        sb.append(", createTime=").append(createTime);
        sb.append(", baseSpotNo=").append(baseSpotNo);
        sb.append(", baseSpotName=").append(baseSpotName);
        sb.append(", valueFlag=").append(valueFlag);
        sb.append(", updateManNo=").append(updateManNo);
        sb.append(", updateManName=").append(updateManName);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", meterTime=").append(meterTime);
        sb.append(", recMeterWeight=").append(recMeterWeight);
        sb.append(", recMeterTime=").append(recMeterTime);
        sb.append(", recBaseSpotNo=").append(recBaseSpotNo);
        sb.append(", recBaseSpotName=").append(recBaseSpotName);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}